Bug 1646703 - CVE-2018-18928 icu: integer overflow in number::impl::DecimalQuantity::toScientificString() in i18n/number_decimalquantity.cpp [fedora-all]
Summary: CVE-2018-18928 icu: integer overflow in number::impl::DecimalQuantity::toScie...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icu   
(Show other bugs)
Version: 29
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-18928
TreeView+ depends on / blocked
 
Reported: 2018-11-05 21:12 UTC by Laura Pardo
Modified: 2018-11-12 13:17 UTC (History)
9 users (show)

Fixed In Version: icu-62.1-3.fc29
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-09 06:03:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Laura Pardo 2018-11-05 21:12:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Laura Pardo 2018-11-05 21:12:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1646702,1646703

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-11-06 14:07:56 UTC
icu-62.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db05d9982f

Comment 3 Eike Rathke 2018-11-06 14:10:49 UTC
Btw, that template doesn't work anymore, fedpkg update said:
Could not execute update: Could not generate update request: Must specify severity for a security update

So it needs an extra line

# One of low, medium high, urgent
severity=...

Comment 4 Eike Rathke 2018-11-06 14:17:03 UTC
F28 (using ICU 60.2) or earlier are not affected, the code in question does not exist there.

Comment 5 Fedora Update System 2018-11-07 04:13:41 UTC
icu-62.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db05d9982f

Comment 6 Fedora Update System 2018-11-09 06:03:12 UTC
icu-62.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.